<?php

add_filter('wpcf7_validate_email*', 'custom_register_email_confirmation_validation_filter', 20, 2);

function custom_register_email_confirmation_validation_filter($result, $tag) {
    if ('your-email' == $tag->name) {
        $your_email = isset($_POST['your-email']) ? trim($_POST['your-email']) : '';
        $is_registered = false;
        $args = array('post_type' => 'flamingo_contact');
        $query = new WP_Query($args);

        if ($query->have_posts()) {
            while ($query->have_posts()) {
                $query->the_post();
                if ($your_email == get_the_title()) {
                    $is_registered = true;
                    break;
                }
            }
            wp_reset_query();
        }
        if ($is_registered) {
            $result->invalidate($tag, "Adres email jest już zarejestrowany!");
        }
    }


    return $result;
}

add_filter('wpcf7_validate_email*', 'custom_email_confirmation_validation_filter', 20, 2);

function custom_email_confirmation_validation_filter($result, $tag) {
    if ('your-registered-email' == $tag->name) {
        $your_email = isset($_POST['your-registered-email']) ? trim($_POST['your-registered-email']) : '';
        $is_registered = false;
        $args = array('post_type' => 'flamingo_contact');
        $query = new WP_Query($args);

        if ($query->have_posts()) {
            while ($query->have_posts()) {
                $query->the_post();
                if ($your_email == get_the_title()) {
                    $is_registered = true;
                    break;
                }
            }
            wp_reset_query();
        }
        if (!$is_registered) {
            $result->invalidate($tag, "Adres email nie został zarejestrowany!");
        }
    }

    return $result;
}
